Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 31 Jul 2014, 21:50
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
Three-Headed Dog 5.2.8.005 Updated APR 25 2012
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 8 of 30 [444 Posts]   Goto page: Previous 1, 2, 3, ..., 6, 7, 8, 9, 10, ..., 28, 29, 30 Next
Author Message
playdayz


Joined: 25 Apr 2008
Posts: 3788

PostPosted: Fri 26 Aug 2011, 21:45    Post subject:  

***Experimental***

Mplayer with ffmpeg 0.8.2

This kind of just happened, but it seems interesting. To my eye the video quality is better. It is only a 4.7 MB pet. It is static with the ffmpeg multimedia libraries Incorporated into mplayer. The original libraries are still there for Pmusic, ffconvert, etc.

If you install the pet then gnome-mplayer will automatically use it .

http://diddywahdiddy.net/Puppy500/mplayer-0.8.2-static.pet

Does anyone notice any differences or improvements? Mainly this will/could affect quality of video in gnome-mplayer.

The previous experiment gave some problems with gnome-mplayer and dvd playback, and I didn't see an improvement in quality--but I see that aarf did. Thanks.
Back to top
View user's profile Send private message 
aarf

Joined: 30 Aug 2007
Posts: 3620
Location: around the bend

PostPosted: Fri 26 Aug 2011, 22:43    Post subject:  

installed this one as well. now mplayer wont play anything and something crashed X, needed to xwin for the first time. havent restarted.maybe that is what is needed.
_________________

ASUS EeePC Flare series 1025C 4x Intel Atom N2800 @ 1.86GHz RAM 2063MB 800x600p ATA 320G
_-¤-_

<º))))><.¸¸.•´¯`•.#.•´¯`•.¸¸. ><((((º>
Back to top
View user's profile Send private message Visit poster's website 
aarf

Joined: 30 Aug 2007
Posts: 3620
Location: around the bend

PostPosted: Sat 27 Aug 2011, 05:58    Post subject:  

rebooted, tried gnome mpayer in console and this is the only error message from xerrs.log
Code:

** (roxterm:9797): WARNING **: Failed to connect to session manager: SESSION_MANAGER environment variable not defined
still cant play anything.
_________________

ASUS EeePC Flare series 1025C 4x Intel Atom N2800 @ 1.86GHz RAM 2063MB 800x600p ATA 320G
_-¤-_

<º))))><.¸¸.•´¯`•.#.•´¯`•.¸¸. ><((((º>
Back to top
View user's profile Send private message Visit poster's website 
playdayz


Joined: 25 Apr 2008
Posts: 3788

PostPosted: Sat 27 Aug 2011, 20:28    Post subject:  

So aarf, do you want to try one more. Wink

http://diddywahdiddy.net/Puppy500/mplayer-svn34010-lucid.pet

some hard-working people make a new build of mplayer for Ubuntu versions twice a week. This is the latest for Lucid.

aarf, probably my stupid experiments have resulted in a file being deleted that is necessary. Please enter mplayer in a console and see what it says. I am sorry for the inconvenience.

LateAdopter, I just read the mplayer has supported threads since March. This version should do so.

These experiments might be better with pfix=ram.
Back to top
View user's profile Send private message 
aarf

Joined: 30 Aug 2007
Posts: 3620
Location: around the bend

PostPosted: Sun 28 Aug 2011, 00:12    Post subject:  

with ffmpeg-071.pet and mplayer-0.8.2-static.pet doesn't play
Code:
sh-4.1# mplayer '/mnt/sdb1/music cd revealed/Bach - Double Violin Concerto in D minor 2nd movement, Largo.tmp'
MPlayer SVN-r34012-snapshot-4.4.3 (C) 2000-2011 MPlayer Team
mplayer: could not connect to socket
mplayer: No such file or directory
Failed to open LIRC support. You will not be able to use your remote control.

Playing /mnt/sdb1/music cd revealed/Bach - Double Violin Concerto in D minor 2nd movement, Largo.tmp.
libavformat file format detected.


MPlayer interrupted by signal 4 in module: demux_open
- MPlayer crashed by an 'Illegal Instruction'.
  It usually happens when you run it on a CPU different than the one it was
  compiled/optimized for.
  Verify this!
- MPlayer crashed by bad usage of CPU/FPU/RAM.
  Recompile MPlayer with --enable-debug and make a 'gdb' backtrace and
  disassembly. Details in DOCS/HTML/en/bugreports_what.html#bugreports_crash.
- MPlayer crashed. This shouldn't happen.
  It can be a bug in the MPlayer code _or_ in your drivers _or_ in your
  gcc version. If you think it's MPlayer's fault, please read
  DOCS/HTML/en/bugreports.html and follow the instructions there. We can't and
  won't help unless you provide this information when reporting a possible bug.
sh-4.1#


below with ffmpeg-071.pet and mplayer-svn34010-lucid.pet plays, (ctrl C to stop as code from terminal wont copy when playing.)
Code:
sh-4.1# mplayer '/mnt/sdb1/music cd revealed/Bach - Double Violin Concerto in D minor 2nd movement, Largo.tmp'
MPlayer SVN-r34010-4.4.3 (C) 2000-2011 MPlayer Team
mplayer: could not connect to socket
mplayer: No such file or directory
Failed to open LIRC support. You will not be able to use your remote control.

Playing /mnt/sdb1/music cd revealed/Bach - Double Violin Concerto in D minor 2nd movement, Largo.tmp.
libavformat file format detected.
[flv @ 0x88a4300]Estimating duration from bitrate, this may be inaccurate
[lavf] stream 0: video (h264), -vid 0
[lavf] stream 1: audio (aac), -aid 0
VIDEO:  [H264]  320x240  0bpp  30.000 fps   83.3 kbps (10.2 kbyte/s)
Clip info:
 duration: 450
 starttime: 0
 totalduration: 450
 width: 320
 height: 240
 videodatarate: 81
 audiodatarate: 106
 totaldatarate: 196
 framerate: 30
 bytelength: 11056771
 canseekontime: true
 sourcedata: BD2BB1289HH1313320455837762
 purl:
 pmsg:
Load subtitles in /mnt/sdb1/music cd revealed/
open: No such file or directory
[MGA] Couldn't open: /dev/mga_vid
open: No such file or directory
[MGA] Couldn't open: /dev/mga_vid
[VO_TDFXFB] This driver only supports the 3Dfx Banshee, Voodoo3 and Voodoo 5.
[VO_3DFX] Unable to open /dev/3dfx.
Failed to open VDPAU backend libvdpau_nvidia.so: cannot open shared object file: No such file or directory
[vdpau] Error when calling vdp_device_create_x11: 1
==========================================================================
Opening video decoder: [ffmpeg] FFmpeg's libavcodec codec family
Selected video codec: [ffh264] vfm: ffmpeg (FFmpeg H.264)
==========================================================================
==========================================================================
Opening audio decoder: [ffmpeg] FFmpeg/libavcodec audio decoders
AUDIO: 44100 Hz, 2 ch, s16le, 108.7 kbit/7.70% (ratio: 13590->176400)
Selected audio codec: [ffaac] afm: ffmpeg (FFmpeg AAC (MPEG-2/MPEG-4 Audio))
==========================================================================
socket(): Address family not supported by protocol
AO: [pulse] Init failed: Connection refused
Failed to initialize audio driver 'pulse'
AO: [alsa] 48000Hz 2ch s16le (2 bytes per sample)
Starting playback...
Unsupported PixelFormat 61
Unsupported PixelFormat 53
Movie-Aspect is 1.33:1 - prescaling to correct movie aspect.
VO: [xv] 320x240 => 320x240 Planar YV12
A:  48.0 V:  48.0 A-V:  0.001 ct:  0.034   0/  0  6%  1%  3.1% 1 0


MPlayer interrupted by signal 2 in module: sleep_timer
A:  48.0 V:  48.0 A-V:  0.005 ct:  0.034   0/  0  6%  1%  3.1% 1 0

Exiting... (Quit)
sh-4.1#

on quick test, comparing ffmpeg-071.pet alone before adding mplayer pet , with after the latest mplayer pet is added, no noticeable quality difference. both are good quality.

_________________

ASUS EeePC Flare series 1025C 4x Intel Atom N2800 @ 1.86GHz RAM 2063MB 800x600p ATA 320G
_-¤-_

<º))))><.¸¸.•´¯`•.#.•´¯`•.¸¸. ><((((º>
Back to top
View user's profile Send private message Visit poster's website 
tasmod


Joined: 04 Dec 2008
Posts: 1461
Location: North Lincolnshire. UK

PostPosted: Sun 28 Aug 2011, 05:53    Post subject:  

Q.sorted
_________________
Rob
-
The moment after you press "Post" is the moment you actually see the typso Cool
Back to top
View user's profile Send private message Visit poster's website 
playdayz


Joined: 25 Apr 2008
Posts: 3788

PostPosted: Sun 28 Aug 2011, 14:57    Post subject:  

Here is the result of the Mplayer experiments. There was something wrong with all of them so far, except this one!

Mplayer 34026-002
http://diddywahdiddy.net/Puppy500/mp34026-002.pet

It contains the very latest versions of the ffmpeg libraries (that is, even more recent then 0.8.2) It is compiled for i686. It will determine your cpu at runtime and use the appropriate media enhancements (mmx, sse3, 3dnow, etc.). It plays all the videos I usually test, and they look good. it also plays audio and CD.

It will play dvd's somewhat well. However, I still recommend that if you want to play DVD's you use the included XineDVD. I find it frustrating that no one else seems to be able to make a DVD player that looks and operates like the DVD players people are used to. But if you want to use gnome-mplayer to play dvd's you should View -> Playlist in gnome-mplayer--otherwise the first screen is black (who knows).

FYI, The version of the ffmpeg libraries in Lucid 5.2.8 is 0.6.2, but I am not sure how much if any this new mplayer improves video quality. I would like to hear. The 0.6.2 we use is the special build by Medibuntu and I don't see any real problems with it--everything plays reasonably well. 0.8.2 is not so far in advance of what we have, because 0.7.3 has most of the improvements of the 0.8 series but with compatibility with the 0.6 series. And the 0.7 and 0.8 were released the same day.

Thanks to 01micko for his help with the configure options.

After some more testing, I will post it on LupuNews.

I should say that I test with gnome-mplayer rather than at the command line.

Last edited by playdayz on Sun 28 Aug 2011, 23:48; edited 1 time in total
Back to top
View user's profile Send private message 
playdayz


Joined: 25 Apr 2008
Posts: 3788

PostPosted: Sun 28 Aug 2011, 23:42    Post subject:  

***Experimental***

Audacious 3.0.2. It was compiled in Lucid 5.2.8. The pet includes libgtk-3.0.8 which is required (as Audacious now uses either gtk3 or a version later than we have of gtk2). The pet also includes the most recent official release of the ffmpeg multimedia libraries 0.8.2.

http://diddywahdiddy.net/Puppy500/Audacious-3.0.2-lucid528

This pet was modified on AUG 30, so if you downloaded it before that, please uninstall that one and download and install this one. Thanks.

Last edited by playdayz on Tue 30 Aug 2011, 20:24; edited 2 times in total
Back to top
View user's profile Send private message 
aarf

Joined: 30 Aug 2007
Posts: 3620
Location: around the bend

PostPosted: Mon 29 Aug 2011, 02:57    Post subject:  

should i un-install ffmpeg-071.pet before installing Mplayer 34026-002
http://diddywahdiddy.net/Puppy500/mp34026-002.pet?

_________________

ASUS EeePC Flare series 1025C 4x Intel Atom N2800 @ 1.86GHz RAM 2063MB 800x600p ATA 320G
_-¤-_

<º))))><.¸¸.•´¯`•.#.•´¯`•.¸¸. ><((((º>
Back to top
View user's profile Send private message Visit poster's website 
live

Joined: 10 Feb 2010
Posts: 150

PostPosted: Tue 30 Aug 2011, 09:46    Post subject:  

To boot faster, Very Happy
I propose that I boot time a menu option so either Puppy will on search on the media its booting, or as it is now on all medias.
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 8935
Location: Stratford, Ontario

PostPosted: Tue 30 Aug 2011, 09:54    Post subject:  

live wrote:
To boot faster, Very Happy
I propose that I boot time a menu option so either Puppy will on search on the media its booting, or as it is now on all medias.

Are you aware of the "pdev1=sdax" option?
Back to top
View user's profile Send private message 
tasmod


Joined: 04 Dec 2008
Posts: 1461
Location: North Lincolnshire. UK

PostPosted: Tue 30 Aug 2011, 12:13    Post subject:  

Firewallstate

A pet of v2.0 posted in additional software, network section.

Fixes ON/OFF selection

_________________
Rob
-
The moment after you press "Post" is the moment you actually see the typso Cool
Back to top
View user's profile Send private message Visit poster's website 
playdayz


Joined: 25 Apr 2008
Posts: 3788

PostPosted: Tue 30 Aug 2011, 20:03    Post subject:  

Quote:
should i un-install ffmpeg-071.pet before installing Mplayer 34026-002
http://diddywahdiddy.net/Puppy500/mp34026-002.pet?

aarf, mp34026-002 (Mplayer) has the ffmpeg libraries built-in so it is self-contained now and doesn't use ffmpeg-071 or any other--it is all in the one mplayer binary.

I should explain. The mplayer 34026-002 does not need a separate ffmpeg any longer, but other programs do, Pmusic in particular. Pmusic as I understand it had some problems with the 0.8.x ffmpeg, and it sounds like other programs also did, so they (ffmpeg developers) say that 0.7.1 has most of the features of 0.8.x but is more compatible. So I thought it might be a step up from 0.6 that would retain compatibility with Pmusic. But that's to test..

And speaking of testing, installing and uninstalling these advanced ffmpeg pets, mplayer, and audacious, can break things, so please backup or work in a sandbox.
Back to top
View user's profile Send private message 
live

Joined: 10 Feb 2010
Posts: 150

PostPosted: Wed 31 Aug 2011, 05:13    Post subject:  

RE: http://puppylinux.org/wikka/security

If one could have some updates directly in 3-headed dog.
Back to top
View user's profile Send private message 
majorfoo

Joined: 07 Mar 2011
Posts: 445
Location: Wish I knew

PostPosted: Wed 31 Aug 2011, 08:16    Post subject:  

playdayz wrote:
***Experimental***

Audacious 3.0.2. It was compiled in Lucid 5.2.8. The pet includes libgtk-3.0.8 which is required (as Audacious now uses either gtk3 or a version later than we have of gtk2). The pet also includes the most recent official release of the ffmpeg multimedia libraries 0.8.2.

http://diddywahdiddy.net/Puppy500/Audacious-3.0.2-lucid528

This pet was modified on AUG 30, so if you downloaded it before that, please uninstall that one and download and install this one. Thanks.


playdayz
I booted lucid 529 original cd, downloaded new audacious-3.02-lucid.
I had to rename from audacious-302-lucid to
audacious-302-lucid.pet in order to install as pet file

I can confirm that this version works.
Only thing noted was .png extension error if run from command line but does
not hinder application.

majorfoo
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 8 of 30 [444 Posts]   Goto page: Previous 1, 2, 3, ..., 6, 7, 8, 9, 10, ..., 28, 29, 30 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1008s ][ Queries: 13 (0.0099s) ][ GZIP on ]